明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
查看: 1683|回复: 1

[VBA]怎样获取选择集内点的坐标

[复制链接]
发表于 2005-1-12 15:44:00 | 显示全部楼层 |阅读模式
怎样获取选择集内点的坐标 On Error Resume Next

Dim FilterType As Variant '
Dim FilterData As Variant '
Dim Fdata(0) As Variant '
Dim Ftype(0) As Integer '
Dim XYH As Variant
Dim Sel As AcadSelectionSet '选择集
Dim Obj As AcadObject '
Dim Fill As String

Fill = "D:\xyh.dat"
Open Fill For Output As #1

Set Sel = ThisDrawing.SelectionSets.Add("ssel")
If Err Then
Err.Clear
ThisDrawing.SelectionSets("ssel").Delete
Set Sel = ThisDrawing.SelectionSets.Add("ssel")
End If

Ftype(0) = 0
Fdata(0) = "Point"
FilterType = Ftype
FilterData = Fdata
Sel.Select acSelectionSetAll, , , FilterType, FilterData

For Each Obj In Sel
If Obj.ObjectName = "Point" Then '如果是点则输入到文件
XYH = Point '这里应该怎样编写程序

Print #1, XYH(0); " ,"; XYH(1); " ,"; XYH(2)
End If
Next
Close #1
发表于 2005-1-12 18:54:00 | 显示全部楼层
1. 既然已经使用过滤器过滤出“点”,则后面不再需要判断选择集中的对象是否为“点”。
2. 判断点对象的对象名称应该是“AcDbPoint”,而不是Point。
3. 点对象的点坐标可以通过XYH = Obj.Coordinates 取得。
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2024-11-27 20:28 , Processed in 0.158203 second(s), 24 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表